// package: bet.beteran.site
// file: models/site.proto

import * as jspb from "google-protobuf";

export class Site extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getUrl(): string;
  setUrl(value: string): void;

  hasName(): boolean;
  clearName(): void;
  getName(): string;
  setName(value: string): void;

  hasPath(): boolean;
  clearPath(): void;
  getPath(): string;
  setPath(value: string): void;

  getShow(): boolean;
  setShow(value: boolean): void;

  getCanUse(): boolean;
  setCanUse(value: boolean): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  hasExpiresAt(): boolean;
  clearExpiresAt(): void;
  getExpiresAt(): number;
  setExpiresAt(value: number): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Site.AsObject;
  static toObject(includeInstance: boolean, msg: Site): Site.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: Site, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Site;
  static deserializeBinaryFromReader(message: Site, reader: jspb.BinaryReader): Site;
}

export namespace Site {
  export type AsObject = {
    id: string,
    url: string,
    name: string,
    path: string,
    show: boolean,
    canUse: boolean,
    memo: string,
    expiresAt: number,
    createdAt: number,
    updatedAt: number,
  }
}

